package com.blueland.bpm.engine.core.model;

import java.util.HashMap;
import java.util.Map;
/**
 * 下一步接受人对象
 * 
 * @version: 1.0
 * @author lw
 */
public class ActivityReceiverModel implements java.io.Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private String receiveUserId;
	private String receiveUserName;
	private String receiveUserOrgId;
	private String receiveUserOrgName;
	private String subBusinessKey;
	private Map<String,Object> extendAttribute=new HashMap<String,Object>();
	
	public String getReceiveUserId() {
		return receiveUserId;
	}
	public void setReceiveUserId(String receiveUserId) {
		this.receiveUserId = receiveUserId;
	}
	public String getReceiveUserName() {
		return receiveUserName;
	}
	public void setReceiveUserName(String receiveUserName) {
		this.receiveUserName = receiveUserName;
	}
	public String getReceiveUserOrgId() {
		return receiveUserOrgId;
	}
	public void setReceiveUserOrgId(String receiveUserOrgId) {
		this.receiveUserOrgId = receiveUserOrgId;
	}
	public String getReceiveUserOrgName() {
		return receiveUserOrgName;
	}
	public void setReceiveUserOrgName(String receiveUserOrgName) {
		this.receiveUserOrgName = receiveUserOrgName;
	}
	public Map<String, Object> getExtendAttribute() {
		return extendAttribute;
	}
	public void setExtendAttribute(Map<String, Object> extendAttribute) {
		this.extendAttribute = extendAttribute;
	}
	
	public String getSubBusinessKey() {
		return subBusinessKey;
	}
	public void setSubBusinessKey(String subBusinessKey) {
		this.subBusinessKey = subBusinessKey;
	}
	@Override
	public String toString() {
		return "(" + receiveUserId
				+ "," + receiveUserOrgId + ")";
	}
	
	
	
}
